VistaIOReadEdges(3)

NAME
VistaIOReadEdges - read a series of edge sets from a stream

SYNOPSIS
#include <stdio>
#include <vistaio.h>
#include <vistaio.h>

int VistaIOReadEdges (file, attributes, edge_sets)
    FILE *file;
    VistaIOAttrList *attributes;
    VistaIOEdges (*edge_sets)[];

ARGUMENTS

file
    Specifies the open stream from which the edge sets should be read.

attributes
    Returns a list of attributes read from the stream.

edge_sets
    Returns a vector of pointers to edge sets read.

DESCRIPTION
VistaIOReadEdges reads a Vista data file from an open stream, collects the top-level edge sets found, and returns the edge sets separately from the file's other contents.

RETURN VALUES
VistaIOReadEdges returns the number of edge sets obtained, or 0 if an error is encountered. A vector of the edge sets is allocated and returned via edge_sets. Any other objects found in the file are returned as an attribute list via attributes.

SEE ALSO
VistaIOReadFile(3), VistaIOReadObjects(3), stdio(3),
VistaIOEdges(3)

DIAGNOSTICS
Besides the following, any of the diagnostics produced by VistaIOReadFile may be generated.

``No edges objects present in stream.''
    No edge sets were encountered in the specified stream.

AUTHOR
David Lowe <lowe@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>